/*ID：容器ID
InputID：存值ID
CategoryId：分类参数
Type:菜单类型
DefaultStr：默认字符串
Fu:回调函数
CategoryName:分类名
Path:路径*/
function CreateSelect(ID,InputID,CategoryId,Type,DefaultStr,Fu,CategoryName,Path)
{
	$('#'+InputID).val(CategoryId);
	if($('#'+ID).length==0 || $('#'+InputID).length==0)return;
	$.ajax({
       type: "get",
       url: Path+"Sys/Ajax/Category.aspx",  cache: false,
       data: "N="+CategoryName+"&p=2&id="+CategoryId,
       success: function(Str){
		    $('#'+ID).append(Str);
		    if(DefaultStr!='')
		    {
		        if(Type==0)
		        {
		            $('#'+ID+' > select').prepend('<option value="0">'+DefaultStr+'</option>');
		            }else{
		            $('#'+ID+' > select').eq(0).prepend('<option value="0">'+DefaultStr+'</option>');
		        }
		    }
		    if($('#'+ID+' > select').slice(-1).val()!=CategoryId){$('#'+ID+' select').slice(-1).val(['0'])}
		    $('#'+ID+' > select').change(function(){ChangeSelect(this);});
       },
       error:function (XMLHttpRequest, textStatus, errorThrown) {
       alert(XMLHttpRequest.responseText );
}
       
    }); 
	function ChangeSelect(obj)
	{
    	if(Type==3)
	    {
	        $('#'+InputID).val($(obj).val());
		    if($.isFunction(Fu))Fu(obj);
		    return;
	    }
		$(obj).nextAll('select').remove();
		if($(obj).val()=='0')
		{
			$('#'+InputID).val($(obj).prev('select').val()||0);
			if($.isFunction(Fu))Fu(obj);
			return;
		}
		$('#'+InputID).val($(obj).val());
	    $.ajax({
           type: "get",
           url: Path+"Sys/Ajax/Category.aspx",  cache: false,
           data: "N="+CategoryName+"&p="+Type+"&id="+$(obj).val(),
           success: function(Str){
			        $(obj).after(Str);
			        if(Type==0)
			        {
				        $(obj).nextAll('select').prepend('<option value="0">'+DefaultStr+'</option>');
				        if($('#'+ID+' > select').slice(-1).val()!=$(obj).val()){$('#'+ID+' select').slice(-1).val(['0'])}
			        }else{
				        $('#'+InputID).val($('#'+ID+' select').slice(-1).val());
			        }
			        $(obj).nextAll('select').change(function(){ChangeSelect(this);});
			        if($.isFunction(Fu))Fu(obj);
           }
        }); 
	}
}